Entwurf Versatz

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Offset and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский

Official icon not found {{{Name/de}}}

Menüeintrag
Entwurf → Versetzen
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
O S
In der Version eingeführt
-
Siehe auch
Part 2D Versatz


Beschreibung

Das Versatzwerkzeug verschiebt das ausgewählte Objekt um einen bestimmten Abstand (Versatz) senkrecht zu sich selbst.

Typischerweise wird dieses Werkzeug im Kopiermodus verwendet, um versetzte Kopien eines Basisdrahtes zu erstellen, wobei dieser Draht an der gleichen Stelle belassen wird. Die versetzten Kopien sind skalierte Versionen des Originalobjekts. Um andere skalierte Kopien zu erstellen, verwende Entwurf Maßstab. Um exakte Kopien zu erstellen, die um einen bestimmten Abstand verschoben sind, verwende Entwurf verschieben.

Draft Offset example.jpg

Versetzen eines Drahtes um einen bestimmten Abstand von einer seiner Kanten


Anwendung

  1. Wähle das Objekt aus, das du versetzen möchtest.
  2. Drücke die Draft Offset.svg Entwurf Versetzen Schaltfläche oder drücke O und dann S Tasten. Wenn kein Objekt ausgewählt ist, wirst du aufgefordert, eines auszuwählen.
  3. Klicke auf einen Punkt in der 3D Ansicht, oder gib einen Abstand ein.

Der Abstand, der zur Erzeugung des Versatzes verwendet wird, steht je nach Position des Zeigers senkrecht zu einer der Kanten der ursprünglichen Form. Wenn der Zeiger näher an eine andere Kante bewegt wird, wird diese Kante nun zur Referenz für den Abstand. Halte die Shift Taste gedrückt, um die aktuelle Referenzkante beizubehalten, obwohl der Zeiger näher an andere Kanten bewegt wird.

Optionen

  • Drücke P oder klicke auf das Kontrollkästchen, um den Kopiermodus umzuschalten. Wenn der Kopiermodus eingeschaltet ist, behält das Versatzwerkzeug die ursprüngliche Form an ihrer Stelle, erstellt aber eine skalierte Kopie an der gewählten Stelle.
  • Halte Alt gedrückt, während du den Punkt auswählst, um ebenfalls den Kopiermodus umzuschalten. Die Alt gedrückt halten, erlaubt dir versetzte Kopien platzieren; loslassen Alt, um den Vorgang abzuschließen und alle versetzten Formen zu sehen.
  • Klicke auf das "OCC-Stil" Kontrollkästchen, um den Modus "OCC" umzuschalten. Dadurch wird ein Versatz von beiden Seiten eines Liniensegments erzeugt, wodurch eine besonders geschlossene Form mit abgerundeten Kanten an den Enden der Segmente entsteht.
Hinweis: Bei diesem Stil werden die Originalsegmente entfernt, verwende also den Kopiermodus, um die Originalkanten zu erhalten.
  • Halte Ctrl während des Versatzes gedrückt, um Fangen deinen Punkt unabhängig vom Abstand an die nächstgelegene Fangposition zu zwingen.
  • Halte Shift gedrückt, um den Versatzabstand in Bezug auf das aktuelle Segment beizubehalten und zu vermeiden, dass ein anderer Bezug gewählt wird.
  • Drücke Esc oder die Close Schaltfläche , um den aktuellen Befehl abzubrechen; bereits platzierte Offset-Kopien bleiben erhalten.

Skripten

Siehe auch: Draft API und FreeCAD Grundlagen Skripten.

Das Versatzwerkzeug kann in Makros und von der Python Konsole aus verwendet werden, indem die folgende Funktion verwendet wird:

Offsetobj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • Versetzt den gegebenen obj Draht durch Anwendung des gegebenen delta, definiert als Vektor, auf seinen ersten Knoten.
  • Wenn copy True ist, wird ein anderes Objekt erzeugt, anstatt das ursprüngliche Objekt zu versetzen.
  • Wenn bind gleich True ist und vorausgesetzt, das Drahtobjekt ist offen, werden der ursprüngliche und der versetzte Draht an ihren Endpunkten miteinander verbunden und bilden eine Fläche.
    • Wenn sym True ist, muss bind ebenfalls True sein, und der Versatz wird auf beiden Seiten des Drahtes vorgenommen, wobei die Gesamtbreite die Länge des gegebenen Vektors ist.
  • Wenn occ True ist, wird ein Versatz im OCC-Stil verwendet: es wird von beiden Seiten versetzt, dann werden die neuen Drähte zusammengebunden und die Ecken abgerundet.
  • Offsetobj wird mit dem ursprünglichen Versatzobjekt oder mit der neuen Kopie zurückgegeben.

Beispiel:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1500, 2000, 0)
p3 = FreeCAD.Vector(4000, 0, 0)

Wire = Draft.makeWire([p1, p2, p3])

vector = FreeCAD.Vector(0, 500, 0)
Offset_1 = Draft.offset(Wire, vector, copy=True)
Offset_2 = Draft.offset(Wire, 3*vector, copy=True)
Offset_3 = Draft.offset(Wire, 6*vector, copy=True)
Offset_4 = Draft.offset(Wire, 9*vector, copy=True)
Offset_5 = Draft.offset(Wire, 1.5*vector, copy=True, occ=True)